### Property

# WebKit2 NavigationPolicyDecision:navigation-type

deprecated: 2.6

#### Declaration

    property navigation-type: WebKit2.NavigationType [ read ]

#### Description [src]

The type of navigation that triggered this policy decision. This is useful for enacting different policies depending on what type of user action caused the navigation.

Type: | `WebKitNavigationType`
Deprecated since: | 2.6
Use `WebKitNavigationPolicyDecision:navigation-action` instead.

Getter method | `webkit_navigation_policy_decision_get_navigation_type()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no